package cache

import "sync"

var masterRolePermissions []uint16
var muMRP sync.RWMutex

func SetMasterRolePermissions(permissions []uint16) {
	muMRP.Lock()
	masterRolePermissions = permissions
	muMRP.Unlock()
}

func GetMasterRolePermissions() []uint16 {
	muMRP.RLock()
	defer muMRP.RUnlock()

	return masterRolePermissions
}
